package com.halo.halojuhesdk.core.channel;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;

import com.halo.halojuhesdk.sdk.HlNativeAdView;
import com.halo.halojuhesdk.sdk.listener.HlNativeAdCallBackListener;
import com.halo.halojuhesdk.sdk.listener.HlNativeVideoListener;

import java.util.List;

/**
 * @author Feng Zhanao
 * @date 2018/12/28
 * @description
 */
public interface IUnifiedNativeAd {
    void loadAd();
    void bindNativeData(Context context, @NonNull List<View> viewList);
    void setNativeAdListener(HlNativeAdCallBackListener listener);
    void release();
}
