package com.halo.halojuhesdk.sdk.listener;

import android.view.View;

/**
 * @author Feng Zhanao
 * @date 2018/7/2
 * @description
 */
public interface HlBannerListener {
    /**
     * 广告被展示（主线程回调）
     */
    void onDisplayAd(String adType);

    /**
     * 广告被点击（主线程回调）
     */
    void onClickAd(String adType);

    /**
     * 广告被关闭（主线程回调）
     */
    void onCloseAd();

    /**
     * 广告准备完毕（主线程回调）
     */
    void onAdReady(String adType);

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     */
    void onAdError(String msg, int code);
}
